/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var pageTitle = ko.observable(),
        pageDescription = ko.observable(),
        productDescription = ko.observable(),
        productShortDescription = ko.observable(),
        openGraph = ko.observable();

    return {
        pageTitle: pageTitle,
        pageDescription: pageDescription,
        productDescription: productDescription,
        productShortDescription: productShortDescription,
        openGraph: openGraph
    };
});
